Imports System.windows.forms

Public Class Verb
  Inherits ParseVerb
  Implements Command

  Protected data As data
  Protected ptable As ListBox

  Public Sub New(ByVal s As String, ByVal dt As data, ByVal pt As ListBox)
    MyBase.New(s, dt, pt)
    setData(dt, pt)
  End Sub

  Public Overridable Sub Execute() Implements Command.Execute
    'Pusta
  End Sub

  Public Sub setData(ByVal dt As data, ByVal pt As ListBox)
    data = dt
    ptable = pt
  End Sub
End Class
